Subject: Re: [v6ops] Comments on draft-ali-ipv6rtr-reqs-02

From: Tim Chown <[email-masked]>
Date: Tue, 4 Apr 2017 12:44:15 +0000

Hi,

> On 30 Mar 2017, at 16:11, Russ White <[email-masked]> wrote:
> 
> 
>> Overall, a very nicely written document. The intro sections are particularly
>> good to read.
> 
> Thanks!
> 
>> I suggest adding sections in the draft on:
>> a) MLDv2 - personally I’d like to see a MUST for MLDv2 support
>> b) RFC8106 support - make RDNSS option support in RAs a MUST
> 
> I will take a look at these -- I think they would be good to add, just have to scare up some text around them.

In 6man, there was support for MLDv2 being a MUST (noting the issues caused by a single MLDv1-only host on a subnet).

But you’ve seen the 140 (and counting) emails on RDNSS and RAs in v6ops :)  Whatever comes of that, we should be consistent in the two drafts we’re editing.

>> And also review the wording on SLAAC in Section 3.3.
>> a) Change SLAAC being enabled by default from a SHOULD to a MUST
> 
> This is mostly a result of my not knowing what to do here, so I went with the "gentler" requirement. I'm happier with MUST here if the community agrees.

I think there have been a couple of other supporting comments on this. I guess if you change it you’ll find out who squeals.

>> b) Probably good to distinguish SLAAC for LLs and SLAAC for globals; RFC6434
>> says routers MUST be able to generate LL addresses; the draft currently only
>> says SHOULD; I’d make that a MUST.
> 
> Okay.
> 
>> c) RFC4862 says DAD is a MUST, in the draft it’s currently only a SHOULD; is
>> there a reason for it not to be a MUST?
> 
> Nope -- again, I'm just sometimes overcautious. I can change this to a MUST.

It would be good to be compliant with RFC4862, unless there’s a good reason not to be.

>> The only significant “clash” with RFC6434-bis (which is in 6net tomorrow) is
>> the section 3 text; the rest syncs pretty well as it is, which is good news.
> 
> I'll take a look at this to see where we might clash, and try to get those bits worked out.

Overall, there’s minimal overlap - mainly section 3 as above.

Tim

> 😊 /r